## ros-humble-moveit-chomp-optimizer-adapter 2.5.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.22)
project(moveit_chomp_optimizer_adapter)

# Common cmake code applied to all moveit packages
find_package(moveit_common REQUIRED)
moveit_package()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(chomp_motion_planner REQUIRED)
find_package(moveit_core REQUIRED)
find_package(pluginlib REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  chomp_motion_planner
  moveit_core
  pluginlib
  rclcpp
)

add_library(${PROJECT_NAME} SHARED src/chomp_optimizer_adapter.cpp)
set_target_properties(${PROJECT_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
ament_target_dependencies(${PROJECT_NAME} ${THIS_PACKAGE_INCLUDE_DEPENDS})

install(
  TARGETS ${PROJECT_NAME}
  EXPORT ${PROJECT_NAME}Targets
  LIBRARY DESTINATION lib
  ARCHIVE DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(${PROJECT_NAME}Targets HAS_LIBRARY_TARGET)

pluginlib_export_plugin_description_file(moveit_core chomp_optimizer_adapter_plugin_description.xml)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)

  # These don't pass yet, disable them for now
  set(ament_cmake_copyright_FOUND TRUE)
  set(ament_cmake_cpplint_FOUND TRUE)
  set(ament_cmake_flake8_FOUND TRUE)
  set(ament_cmake_uncrustify_FOUND TRUE)
  set(ament_cmake_lint_cmake_FOUND TRUE)

  # Run all lint tests in package.xml except those listed above
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-humble-moveit-chomp-optimizer-adapter (2.5.5-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 09 Sep 2023 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (2.5.4-1jammy) jammy; urgency=high

  * Improve CMake usage (#1550 <https://github.com/ros-planning/moveit2/issues/1550>) (#1555 <https://github.com/ros-planning/moveit2/issues/1555>)
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: mergify[bot]

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 03 Nov 2022 23:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (2.5.3-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 27 Jul 2022 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (2.5.2-1jammy) jammy; urgency=high

  * Remove unnecessary rclcpp.hpp includes (#1333 <https://github.com/ros-planning/moveit2/issues/1333>)
  * Update plugin library paths (#1304 <https://github.com/ros-planning/moveit2/issues/1304>)
  * Contributors: Jafar, Sebastian Jahr

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sun, 17 Jul 2022 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (2.5.1-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 30 May 2022 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (2.5.0-1jammy) jammy; urgency=high

  * Make TOTG the default time-parameterization algorithm everywhere (#1218 <https://github.com/ros-planning/moveit2/issues/1218>)
  * Make moveit_common a 'depend' rather than 'build_depend' (#1226 <https://github.com/ros-planning/moveit2/issues/1226>)
  * Remove unused parameters. (#1018 <https://github.com/ros-planning/moveit2/issues/1018>)
  * Contributors: AndyZe, Cory Crean, Jafar, Robert Haschke, jeoseo

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 25 May 2022 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (2.4.0-1jammy) jammy; urgency=high

  * moveit_build_options()
    Declare common build options like CMAKE_CXX_STANDARD, CMAKE_BUILD_TYPE,
    and compiler options (namely warning flags) once.
    Each package depending on moveit_core can use these via moveit_build_options().
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 19 Jan 2022 23:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (2.3.2-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 28 Dec 2021 23:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (2.3.1-1jammy) jammy; urgency=high

  * Port CHOMP Motion Planner to ROS 2 (#809 <https://github.com/ros-planning/moveit2/issues/809>)
  * Contributors: Henning Kayser, andreas-botbuilt

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Wed, 22 Dec 2021 23:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.1.1-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Mon, 12 Oct 2020 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.1.0-1jammy) jammy; urgency=high

  * [feature] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [feature] Allow ROS namespaces for planning request adapters (#1530 <https://github.com/ros-planning/moveit/issues/1530>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [fix] Fix Chomp planning adapter (#1525 <https://github.com/ros-planning/moveit/issues/1525>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Dave Coleman, Henning Kayser, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 03 Sep 2020 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.0.6-1jammy) jammy; urgency=high

  * [maint] Migrate to clang-format-10
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.0.5-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.0.4-1jammy) jammy; urgency=high



 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Fri, 29 May 2020 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.0.3-1jammy) jammy; urgency=high

  * [maint] Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint] Windows build: Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint] Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * Contributors: Robert Haschke, Sean Yen, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.0.2-1jammy) jammy; urgency=high

  * [fix] Chomp planning adapter: Fix spurious error message Fix "Found empty JointState message"
  * Contributors: Robert Haschke

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.0.1-1jammy) jammy; urgency=high

  * [fix] segfault in chomp adapter (#1377 <https://github.com/ros-planning/moveit/issues/1377>)
  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Raghavender Sahdev <raghavendersahdev@gmail.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-humble-moveit-chomp-optimizer-adapter (1.0.0-1jammy) jammy; urgency=high

  * [fix] catkin_lint issues (#1341 <https://github.com/ros-planning/moveit/issues/1341>)
  * Contributors: Robert Haschke



=== debian/control ===
Source: ros-humble-moveit-chomp-optimizer-adapter
Section: misc
Priority: optional
Maintainer: Raghavender Sahdev <raghavendersahdev@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-chomp-motion-planner, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-pluginlib (>= 1.11.2), ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-moveit-chomp-optimizer-adapter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-chomp-motion-planner, ros-humble-moveit-common, ros-humble-moveit-core, ros-humble-pluginlib (>= 1.11.2), ros-humble-ros-workspace
Description: MoveIt planning request adapter utilizing chomp for solution optimization

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-chomp-optimizer-adapter//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
